hosting
PATCH /v1/uptime/monitors/{monitor_id}
Pause, resume or rename a monitored address.
Autenticazione
Invia una chiave API come bearer token. Questo endpoint non specifica un permesso specifico nella specifica, quindi assegna alla tua chiave i permessi minimi necessari e verifica la risposta invece di fare supposizioni.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X PATCH https://api.zinndigital.com/v1/uptime/monitors/{monitor_id} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ }'Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Dettagli
Gated on `uptime.manage`. ⛔ The **URL cannot be changed**: a monitor's Core Web Vitals readings are joined back to it by that canonical string, so a mutable URL would silently re-point a monitor at another address's history. Change an address by deleting the monitor and adding another. Pausing closes any open incident, so a paused monitor cannot accrue an outage out of us not looking.
Parametri
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
monitor_id (path) | string | Sì | — |
Corpo della richiesta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
enabled | boolean | No | Pause or resume. Pausing closes any open incident. |
name | string | No | — |
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
id | string | Sì | — |
url | string | Sì | — |
name | string | No | — |
state | string<unknown, up, down, paused> | Sì | ⛔ `unknown` is a real state and is not a synonym for `up` — it means "not checked yet" and is excluded from every uptime percentage. |
enabled | boolean | Sì | — |
expect_text | string | No | — |
site_id | string | No | Set only when the address happens to be one of this organisation's own sites. Navigation only — the monitor works identically without it, and must, because the product exists to… |
last_result_at | string | No | — |
last_up_at | string | No | — |
last_down_at | string | No | — |
created_at | string | Sì | — |
summary | UptimeSummary | No | — |
history | UptimeHistoryPoint[] | No | — |
incidents | UptimeIncident[] | No | — |
vitals | UptimeVitalsPoint[] | No | — |
migration_offer | UptimeMigrationOffer | No | — |
Errori che questo endpoint può restituire
401 · 403 · 404